低危 Nodejs Core拒绝服务漏洞

CVE编号

CVE-2020-8277

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-11-19
漏洞描述
Nodejs Core是OpenJS基金会的一个编译到Nodejs中的核心模块。该模块为Nodejs提供底层的TCP,HTTP,DNS,文件系统,子进程等功能支持。 Node Core 存在安全漏洞,攻击者可利用该漏洞可以通过大量DNS响应来触发致命错误,从而触发拒绝服务。

解决建议

目前厂商已发布升级补丁以修复漏洞,补丁获取链接: https://nodejs.org/en/blog/vulnerability/november-2020-security-releases/


受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 nodejs node.js * From
(including)
12.16.3
Up to
(excluding)
12.19.1
运行在以下环境
应用 nodejs node.js * From
(including)
14.13.0
Up to
(excluding)
14.15.1
运行在以下环境
应用 nodejs node.js * From
(including)
15.0.0
Up to
(excluding)
15.2.1
运行在以下环境
系统 alibaba_cloud_linux_2.1903 nodejs * Up to
(excluding)
14.15.4-2.1.al8
运行在以下环境
系统 alpine_3.11 nodejs * Up to
(excluding)
12.20.1-r0
运行在以下环境
系统 alpine_3.12 nodejs * Up to
(excluding)
12.20.1-r0
运行在以下环境
系统 alpine_3.13 nodejs * Up to
(excluding)
14.15.1-r0
运行在以下环境
系统 alpine_3.14 nodejs * Up to
(excluding)
15.3.0-r0
运行在以下环境
系统 alpine_3.15 nodejs * Up to
(excluding)
15.3.0-r0
运行在以下环境
系统 alpine_3.16 nodejs * Up to
(excluding)
15.3.0-r0
运行在以下环境
系统 alpine_edge nodejs * Up to
(excluding)
14.15.1-r0
运行在以下环境
系统 centos_8 nodejs * Up to
(excluding)
12.19.1-1.module+el8.3.0+8851+b7b41ca0
运行在以下环境
系统 fedora_32 nodejs * Up to
(excluding)
1.17.0-1.fc32
运行在以下环境
系统 fedora_33 nodejs * Up to
(excluding)
1.17.0-1.fc33
运行在以下环境
系统 opensuse_Leap_15.1 nodejs * Up to
(excluding)
1.17.0-lp151.3.6.1
运行在以下环境
系统 opensuse_Leap_15.2 nodejs * Up to
(excluding)
14.15.4-lp152.5.1
运行在以下环境
系统 oracle_8 nodejs * Up to
(excluding)
1.18.3-1.module+el8.1.0+5393+aaf413e3
运行在以下环境
系统 redhat_8 nodejs * Up to
(excluding)
12.19.1-1.module+el8.3.0+8851+b7b41ca0
运行在以下环境
系统 unionos_20 nodejs * Up to
(excluding)
1.14.0-1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-400 未加控制的资源消耗(资源穷尽)
阿里云安全产品覆盖情况